# ****************** #

# This section of the code illustrates how we can iterate through
# a list of numbers (you have seen this before!)

numbers = [1, 2, 3, 4]
for number in numbers:
    print(number)

# ****************** #

# This section of the code illustrates how we can iterate through
# the lines in a file. A file is just a list of lines, where each
# line is a string.

# open the file
file = open('example.txt')

# loop through the file, one line at a time and print the line
for line in file:
    print(line)

# close the file
file.close()

# ****************** #

# This section of the code illustrates how we can open a file
# with "with open as" syntax instead of the above. Using this
# syntax, we create a variable named 'file', just like above, but
# it is scoped to just this block of code inside the 'with' statement.
# Python automatically closes the file after it finishes the 'with'
# block.

with open('example.txt') as file:
    for line in file:
        print(line)
