# Solution

def get_lines(filename):
    """Returns a list of the lines in the file."""
    with open(filename) as file:
        return list(file)


def get_numbers(line):
    """Parses out the integers in `line` into a list.

    >>> get_numbers("1 2 3")
    [1, 2, 3]
    """
    tokens = line.split()
    numbers = []
    for token in tokens:
        numbers.append(int(token))
    return numbers


def average(numbers):
    """Computes the average of a list of numbers

    >>> average([1, 2, 3])
    2
    """
    total = 0
    for number in numbers:
        total = total + number
    return total / len(numbers)


def print_means(filename):
    """Prints the average value for each line in the file."""
    for line in get_lines(filename):
        numbers = get_numbers(line)
        ave = average(numbers)
        print(ave)


filename = 'data.txt'
print_means(filename)